from math import *

SCREEN_RES = (800, 600)

TICK_RATE = 30

GROUND_COLOR = (0.0, 0.5, 0.0, 1.0)
BORDER_COLOR = (1.0, 0.0, 0.0, 1.0)
DISK_COLOR_1 = (1.0, 1.0, 1.0, 1.0)
DISK_COLOR_2 = (0.0, 0.0, 0.0, 1.0)
WALL_COLOUR = (1.0, 0.0, 0.0, 1.0)

BORDER_WIDTH = 16

VECTOR_ARROW_SPACING = 40

DISK_RADIUS = 20
DISK_RADIUS_SQ = DISK_RADIUS ** 2
DISK_MASS = 1
DISK_MOI = 0.5 * DISK_MASS * (DISK_RADIUS ** 2)
FORCE_MOD = 5

COLLISION_LOSS = 0.9
ROT_ENERGY_TRANSFER = 0.2

ROT_INC = 10 * pi / 180 #radians

ARRROW_COORDS = ((-5, -5), (5, 0), (-5, 5))

DEG_TO_RAD = pi / 180
RAD_TO_DEG = 1 / DEG_TO_RAD