from math import pi

import pygame

from constants import *
from objects import *

def getNumDisksForWorld(iLevel):
	return 1

def getDiskPosForWorld(iLevel, iDisk):
	return (SCREEN_RES[0] / 4 + 1, SCREEN_RES[1] / 8)
	
def getWorldX(iLevel):
	return 19

def getWorldY(iLevel):
	return 14
	
def getObjectListForLevel(iLevel):
	return [GravityWell((400, 400), 100, False),
			Spinner((300, 300), 100, True, False),
			Spinner((600, 100), 120, False, False),
			AreaObject(0.1, -pi / 2, pygame.Rect(0, 0, SCREEN_RES[0], SCREEN_RES[1]), True)]
	
def getWallListForLevel(iLevel):
	return [pygame.Rect(0, 100, 200, -12)]